com.io7m.jcanephora.core

## Enum JCGLTextureFilterMagnification

- java.lang.Object
- - java.lang.Enum<JCGLTextureFilterMagnification>
  - - com.io7m.jcanephora.core.JCGLTextureFilterMagnification

- All Implemented Interfaces:
    Serializable, Comparable<JCGLTextureFilterMagnification>

      public enum JCGLTextureFilterMagnification
      extends Enum<JCGLTextureFilterMagnification>

  OpenGL texture magnification filter specification.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `TEXTURE_FILTER_LINEAR` Bilinear interpolation.
    `TEXTURE_FILTER_NEAREST` Nearest-neighbour interpolation.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JCGLTextureFilterMagnification` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static JCGLTextureFilterMagnification[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TEXTURE_FILTER_LINEAR

          public static final JCGLTextureFilterMagnification TEXTURE_FILTER_LINEAR

      Bilinear interpolation.

    - #### TEXTURE_FILTER_NEAREST

          public static final JCGLTextureFilterMagnification TEXTURE_FILTER_NEAREST

      Nearest-neighbour interpolation.

  - ### Method Detail

    - #### values

          public static JCGLTextureFilterMagnification[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JCGLTextureFilterMagnification c : JCGLTextureFilterMagnification.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JCGLTextureFilterMagnification valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2016 <code@io7m.com> http://io7m.com